package cn.wisenergy.model.dto;

import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @Authotr:陈奇
 * @QQ1799796883
 */
@Data
@ApiModel(value="CalendarDto", description="日历展示类")
public class CalendarDto implements Serializable {

    private static final long serialVersionUID = -1678604782365034642L;

    @ApiModelProperty(name = "userId",value = "填报工时人员")
    private Integer userId;

    @ApiModelProperty(name = "status",value = "状态： 1：已填报 ，2：已审核，3:被驳回")
    private Integer status;

    @ApiModelProperty(name = "workDay",value = "工时的日期")
    private Date workDay;



}
