package cn.wisenergy.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @description: 一天的工时信息
 * @author: nh
 * @create: 2021-01-20 13:36
 **/
@Data
@ApiModel(value = "DayWorkTimeAndType", description = "一天的工时信息")
public class DayWorkTimeAndType implements Serializable {

    private static final long serialVersionUID = 1198786417184957375L;

    /**
     * 日期中的日
     */
    @ApiModelProperty(name = "day", value = "日期中的日")
    private Integer day;

    /**
     * 工时类型,0:正常，1：请假，2：调休
     */
    @ApiModelProperty(name = "type", value = "工时类型,0:正常，1：请假，2：调休")
    private Integer type;

    /**
     * 工时
     */
    @ApiModelProperty(name = "workTime", value = "工时")
    private Integer workTime;
}
