package cn.wisenergy.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @Authotr:陈奇
 * @QQ1799796883
 */
@Data
@ApiModel(value="SubtotalDto", description="填报小计")
public class SubtotalDto {

    @ApiModelProperty(name = "userId",value = "填报工时人员")
    private Integer userId;

    @ApiModelProperty(name = "workDay",value = "工时的日期")
    private Date workDay;

    @ApiModelProperty(name = "totalTime",value = "今日总工时")
    private Integer totalTime;

    @ApiModelProperty(name = "reason",value = "驳回原因")
    private String reason;

    @ApiModelProperty(name = "status", value ="状态")
    private Integer status;

    @ApiModelProperty(name = "rejectMonth",value = "当月被驳回待处理条数")
    private Integer rejectMonth;
}
