package cn.wisenergy.service;

import cn.wisenergy.model.dto.GetMonthlyCollectParam;
import cn.wisenergy.model.dto.WorkTimeAndCostCollect;
import com.github.pagehelper.PageInfo;

import java.util.Date;
import java.util.List;

public interface StatisticsService {

    /**
     * 获取部门所有员工每天工时
     * @param param 参数对象
     * @return
     */
    PageInfo getDayWorkTimeOfMonth(GetMonthlyCollectParam param);

    /**
     * 获取用户本月填报和审批情况，权限为填报时只有填报情况
     * @param userId
     * @return
     */
    List<Object> getMonthlyStatistics(Integer userId);

    /**
     * 获取负责项目在本月的工时汇总：花费工时，工时成本
     * @param userId
     */
    List<WorkTimeAndCostCollect> getCurrentMonthWorkTimeCollect(Integer userId, Date startTime);
}
