package cn.wisenergy.model.app;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 
 * </p>
 *
 * @author chenqi
 * @since 2021-01-19
 */
@Data
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="WorkProjectChange", description="项目更改类")
public class WorkProjectChange implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(name = "id",value = "主键id")
      @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(name = "projectId;",value = "项目编号")
    private Integer projectId;

    @ApiModelProperty(name = "type",value = "1：成本预算变更，2：工时预算变更")
    private Integer type;

    @ApiModelProperty(name = "modifyAfter",value = "修改后的预算")
    private String modifyAfter;

    @ApiModelProperty(name = "modifyBefore",value = "修改前的预算")
    private String modifyBefore;

    @ApiModelProperty(name = "reason",value = "变更原因")
    private String reason;

    @ApiModelProperty(name = "changeDate",value = "变更日期")
    private Date modifyTime;

    private Date changeDate;


}
