package cn.wisenergy.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @description:
 * @author: nh
 * @create: 2021-01-19 15:47
 **/
@Data
@ApiModel(value = "MonthlyWorkingHoursStatistics", description = "统计本月的填报信息")
public class MonthlyWorkingHoursStatistics implements Serializable {
    private static final long serialVersionUID = -8216457470821285624L;

    /**
     * 工单类型：商机/项目
     */
    @ApiModelProperty(name = "projectType", value = "工单类型：商机/项目")
    private String projectType;

    /**
     * 填报次数
     */
    @ApiModelProperty(name = "count", value = "填报次数")
    private int count;

    /**
     * 填报工时
     */
    @ApiModelProperty(name = "workTime", value = "填报工时")
    private int workTime;

    /**
     * 未填报天数
     */
    @ApiModelProperty(name = "notFilledCount", value = "未填报天数")
    private int notFilledCount;

    /**
     * 现存被驳回数
     */
    @ApiModelProperty(name = "rejectCount", value = "现存被驳回数")
    private int rejectCount;


}
