package cn.wisenergy.service;

import cn.wisenergy.model.app.WorkProject;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author chenqi
 * @since 2021-01-19
 */
public interface WorkUserProjectService {

    /**
     * 功能：根据userId获取项目id
     * @param userId 用户id
     * @return 项目id
     */
    List<Integer> getProjectIdByUserId(Integer userId);

    List<WorkProject> getUserManageProject(Integer userId);
}
